Summary: 	A tool for automatically mounting and unmounting filesystems.
Name: 		autofs
Version: 	4.1.4
Release: 	3
License: 	GPL
Group: 		System
Source0: 	ftp://ftp.kernel.org/pub/linux/daemons/autofs/v4/autofs-%{version}.tar.bz2
Source1:	rc.%{name}
Buildroot: 	/var/tmp/autofs-tmp
Requires: 	hesiod nfs-utils
BuildRequires:  hesiod-devel
Provides:	automount autofs4
Patch1: 	autofs-4.1.4-init-redhat-only.patch
Patch2: 	autofs-4.1.4-init-nsswitch-comment.patch
Patch3: 	autofs-4.1.4-init-one-auto-master.patch
Patch4: 	autofs-4.1.4-init-browse-as-non-first-option.patch
Patch5: 	autofs-4.1.4-hesiod-bind.patch
Patch6: 	autofs-4.1.4-non-replicated-ping.patch
Patch7: 	autofs-4.1.4-check-nsswitch-submount.patch
Patch8: 	autofs-4.1.3-alt-master-ldap.patch
Patch9: 	autofs-4.1.4-check-is-multi.patch

%description
autofs is a daemon which automatically mounts filesystems when you use
them, and unmounts them later when you are not using them.  This can
include network filesystems, CD-ROMs, floppies, and so forth.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
echo %{version}-%{release} > .version

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p -m755 $RPM_BUILD_ROOT%{_libdir}/autofs
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/{man5,man8}
mkdir -p -m755 $RPM_BUILD_ROOT/etc/sysconfig

make install mandir=%{_mandir} INSTALLROOT=$RPM_BUILD_ROOT
install -m 644 redhat/autofs.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/autofs
rm -R $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d; ln -sf ../../init.d/rc.%{name} K%{name}.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d; ln -sf ../../init.d/rc.%{name} S%{name}.sh


strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
